Show / Hide Table of Contents

# Struct UI3DModule.ObjectInfo

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ObjectInfo

### Fields

| Improve this Doc View Source

#### DistanceFromCamera

##### Declaration

    public float DistanceFromCamera

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DistanceFromPlayer

##### Declaration

    public float DistanceFromPlayer

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GameObject

##### Declaration

    public GameObject*GameObject

##### Field Value

Type | Description
--- | ---
GameObject* |

| Improve this Doc View Source

#### MapInfo

##### Declaration

    public UI3DModule.MapInfo MapInfo

##### Field Value

Type | Description
--- | ---
UI3DModule.MapInfo |

| Improve this Doc View Source

#### NamePlateIndex

##### Declaration

    public byte NamePlateIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NamePlateObjectKind

##### Declaration

    public byte NamePlateObjectKind

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NamePlatePos

##### Declaration

    public Vector3 NamePlatePos

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### NamePlateScale

##### Declaration

    public byte NamePlateScale

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ObjectPosProjectedScreenSpace

##### Declaration

    public Vector3 ObjectPosProjectedScreenSpace

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### SortPriority

##### Declaration

    public byte SortPriority

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_48

##### Declaration

    public uint Unk_48

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unk_4F

##### Declaration

    public byte Unk_4F

##### Field Value

Type | Description
--- | ---
System.Byte |